[banshee] [build] renamed bootstrap-osx to bootstrap-bundle



commit 5df4d7cc622f60e23563a03fd3c96b54ad93c04c
Author: Aaron Bockover <abockover novell com>
Date:   Tue Jan 5 19:19:41 2010 -0500

    [build] renamed bootstrap-osx to bootstrap-bundle
    
    The script can now load either the linux or osx bundle
    build profile. The right profile will be guessed based
    on uname output.

 bootstrap-bundle |   57 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 bootstrap-osx    |   35 ---------------------------------
 2 files changed, 57 insertions(+), 35 deletions(-)
---
diff --git a/bootstrap-bundle b/bootstrap-bundle
new file mode 100755
index 0000000..88f9b4c
--- /dev/null
+++ b/bootstrap-bundle
@@ -0,0 +1,57 @@
+#!/usr/bin/env bash
+
+set -e
+
+profile_name="$1"
+
+if test -z "$profile_name"; then
+	case "$(uname)" in
+		Linux) profile_name=linux ;;
+		Darwin) profile_name=osx ;;
+		*)
+			echo "Unsupported system type: $(uname)"
+			exit 1
+			;;
+	esac
+fi
+
+profile="profile.$profile_name.py"
+
+if ! test -f "build/bundle/$profile"; then
+	echo "Profile does not exist: build/bundle/$profile"
+	exit 1
+fi
+
+pushd build/bundle &>/dev/null
+./build.py -v $profile
+./build.py -e $profile > $profile_name.env
+source $profile_name.env
+popd &>/dev/null
+
+CONFIGURE_ARGS="
+	--disable-mtp
+	--disable-daap
+	--disable-ipod
+	--disable-boo
+	--disable-gnome
+	--disable-docs
+"
+[ $profile_name = osx ] && CONFIGURE_ARGS="$CONFIGURE_ARGS --enable-osx"
+./autogen.sh --prefix="$BUILD_PREFIX" $CONFIGURE_ARGS
+
+cat <<EOF
+
+The world has built! You can now build Banshee.
+Be sure to source in the profile environment:
+
+  $ source build/bundle/$profile_name.env
+
+Once sourced, just run autogen/configure/make, etc
+as normal. The install prefix is available as the
+BUILD_PREFIX environment variable - e.g.:
+
+  $ ./autogen.sh --prefix="\$BUILD_PREFIX"
+
+Have fun!
+
+EOF



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]